Subject: (ngtrans) addrarch: should compatible addresses be removed?

From: Pekka Savola <[email-masked]>
Date: Thu, 27 Dec 2001 13:15:01 +0200 (EET)

I'll re-post a point below in this separate thread, so it won't get lost 
in the noise.

There was not discussion back a few months ago, but perhaps there are more
opinions now.  Should compatible addresses be killed from addrarch (-07: 
2.5.5), written in some more generic fashion or what?

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

---------- Forwarded message ----------
Date: Thu, 27 Dec 2001 13:01:33 +0200 (EET)
From: Pekka Savola <[email-masked]>
To: Brian E Carpenter <[email-masked]>
Cc: Fred L. Templin <[email-masked]>,
     Vladislav Yasevich <[email-masked]>, [email-masked],
     [email-masked]
Subject: Re: (ngtrans) remote netaccess-threats via automatic tunneling

On Sun, 23 Dec 2001, Brian E Carpenter wrote:
[snip]
> > - should autotunnel be deprecated in a more official fashion?
> 
> Probably. That means removing it from the address architecture and from
> RFC 2893.

Addrarch revision is underway (close to complete I fear), so this might be
the chance to do one of these (next one would possibly be in 2-3 years).  

I commented on the fact earlier too, because I didn't see all that much
point in describing just one special tunneling technique in addrarch.

If curious, the message was:

Date: Sun, 26 Aug 2001 00:20:38 +0300 (EEST)
From: Pekka Savola <[email-masked]>
To: Bob Hinden <[email-masked]>
cc:  <[email-masked]>

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords